% Section 4.2(a) Figure 4.5 and 4.6 
%
% Plot trial data
%
% 2010/08/23 Okito Yamashita
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' This program reproduces figure 4.5 and 4.6.     \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');

clear
close all

load('DATA/trialsData.mat', 'data3', 'time_ms', 'trialLabel', 'runLabel', 'Log')

trial1Number = [156]
trial2Number = [180]

trialArtifact = [4 166]

% channel labels
tmp = Log.import_parm(1).bdfhdr.labels;
channelLabel{4} = 'LEMG';
channelLabel{3} = 'REMG';
channelLabel{2} = 'HEOG';
channelLabel{1} = 'VEOG';
for ch = 5:68,
    channelLabel{ch} = tmp{69-ch};
end

% color settings
col.ixchan = {[65:68]};
col.color = {'b'};

% plot
figure('position', [0 0 581 871]),
multiplot5(gca, time_ms, data3(:,:,trial1Number(1)), [-20 20], col, 1, 1, 0, channelLabel) 
title(['Right hand imagery : Trial ' num2str(trial1Number(1))])
xlabel('Time (msec.)');

figure('position', [0 0 581 871]),
multiplot5(gca, time_ms, data3(:,:,trial2Number(1)), [-20 20], col, 1, 1, 0, channelLabel) 
title(['Left hand imagery : Trial ' num2str(trial2Number(1))])
xlabel('Time (msec.)');

figure('position', [0 0 581 871]),
multiplot5(gca, time_ms, data3(:,:,trialArtifact(1)), [-20 20], col, 1, 1, 0, channelLabel) 
title(['Trial ' num2str(trialArtifact(1))])
xlabel('Time (msec.)');

figure('position', [0 0 581 871]),
multiplot5(gca, time_ms, data3(:,:,trialArtifact(2)), [-20 20], col, 1, 1, 0, channelLabel) 
title(['Trial ' num2str(trialArtifact(2))])
xlabel('Time (msec.)');


