% Section 4.2(b) Power spectrum 
%
% 2011/02/25 
% 2010/08/23 Okito Yamashita 
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' View power spectrum of all single trials data.          \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');

clear
close all

load('DATA/trialsData.mat', 'data3', 'status3', 'time_ms', 'trialLabel', 'runLabel')

col.ixchan = {[65:68]};
col.color = {'r'};
savefig = 0;
pausetime = 0.05;

%
% trial data in frequency domain 
%
timeAnal_ms = [0 4.5]*1000;

% Compute power spectrum
[Nch, Nt, Ntr] = size(data3);

[powAnal, freq_hz, twin] = calc_power_spectrum(data3, 256, time_ms,...
    timeAnal_ms, 0, 0, 'pmtm');

ixf = find(freq_hz < 40 & freq_hz > 1);

pos=get(0, 'screensize');
figure('position', [0 0 pos(3)*0.50 pos(4)*0.99]);
for tr = 1 : 210

    multiplot4(gca, freq_hz(ixf), powAnal(:,ixf,tr), [0 10], col, 1.5, 1, 0)
    title(num2str(tr))
    pause(pausetime);
    if savefig
    print(gcf, '-dpng', ['freq' num2str(tr, '%03d'), '.png']);
    end
end