% Section 4.2(c) Learn classifier and evaluate performance using 8-fold cross-validation
%
% In order to run this run, you need to install libSVM, SLR toolbox and MATLAB statistical toolbox.  
% 
% You can download libSVM and SLR in the following links,
%
% libSVM ver.2.8.2 or later   : http://www.csie.ntu.edu.tw/~cjlin/libsvm/
% SLR toolbox ver.1.2.1 alpha :  http://www.cns.atr.jp/~oyamashi/SLR_WEB.html 
% 
%
% 2011/02/25 OY
% 2010/07/31 OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.
 

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' (c) Classification of features 1 and features 2         \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear all
close all

%
% Parameter Setting
%
saveFileName = 'DATA/resultClassification.mat';
featureFileName1 = ['DATA/featurePS1.mat'];
featureFileName2 = ['DATA/featurePS2.mat'];
Ncv = 8;
Nrepeat = 10;

% load filename
load(featureFileName1, 'x','y','Log');
x1 = x;
Log1 = Log;

load(featureFileName2, 'x','y','Log');
x2 = x;
Log2 = Log;

%
% 10 times of 8-fold cross validation
%

for nm = 1 : Nrepeat

    % restricted channels & SLR
    [cortr(1,:,nm), corte(1,:,nm)] = cls_nfoldcv(x1,y,Ncv,'classify');
    [cortr(2,:,nm), corte(2,:,nm)] = cls_nfoldcv(x1,y,Ncv,'svm');
    [cortr(3,:,nm), corte(3,:,nm)] = cls_nfoldcv(x1,y,Ncv,'slr');
    % all channels & SLR
    [cortr(4,:,nm), corte(4,:,nm)] = cls_nfoldcv(x2,y,Ncv,'classify');
    [cortr(5,:,nm), corte(5,:,nm)] = cls_nfoldcv(x2,y,Ncv,'svm');
    [cortr(6,:,nm), corte(6,:,nm), sc(:,nm), cvparm] = cls_nfoldcv(x2,y,Ncv,'slr');

end

meancortr = mean(mean(cortr,2),3)
meancorte = mean(mean(corte,2),3)

comment = '1,2,3: 3channels, 4,5,6:64 channels, (1,4=classify.m, 2.5=SVM, 3,6=SLR)'; 


save(saveFileName, 'cortr', 'corte', 'sc', 'comment');
