%
% Section 4.3.1 figure 4.9
% 
% 2011/02/25 OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' This program reproduces figure 4.9.         \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear
close all

load('SIMUDATA/data1.mat', 'data');


[B,A] = butter(5, 0.05, 'low');
Yf = filter(B,A,data);
Ys = filtfilt(B,A,data);

figure,
plot(data, 'k', 'linewidth', 1);
hold on;
plot(Yf, 'k--', 'linewidth', 2)
hold on;
plot(Ys, 'k-.', 'linewidth', 2)
axis([-inf inf -inf inf]);
xlabel('Time Point');

figure,
subplot(2,1,1)
plot(data, 'k', 'linewidth', 1);
hold on
plot(Yf, 'k--', 'linewidth', 2)
axis([-inf inf -inf inf]);
xlabel('Time Point');
legend('Raw Data', 'filter.m')

subplot(2,1,2)
plot(data, 'k', 'linewidth', 1);
hold on
plot(Ys, 'k--', 'linewidth', 2)
axis([-inf inf -inf inf]);
xlabel('Time Point');
legend('Raw Data', 'filtfilt.m')


