%
% Section 4.3.1   Lowpass, Highpass, Bandpass, Bandstop (Notch) Filter
% 
% 2011/03/01 OY  modified 
% 2011/02/25 OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' Check the constructed filter specification  \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear
close all

Fs = 1;     % Sampling frequency
NFs = Fs/2; % Nyquist frequency

[Bl,Al] = butter(5, 0.1/NFs, 'low');
[Bh,Ah] = butter(5, 0.05/NFs, 'high');
[Bb,Ab] = butter(5, [0.05 0.08]/NFs);
[Bp,Ap] = butter(5, [0.05 0.08]/NFs, 'stop');
 

hfl=check_filter_spec(Bl,Al,Fs);
set(hfl,'Name', 'Lowpass')
hfh=check_filter_spec(Bh,Ah,Fs);
set(hfl,'Name', 'Highpass')
hfb=check_filter_spec(Bb,Ab,Fs);
set(hfl,'Name', 'Bandpass')
hfp=check_filter_spec(Bp,Ap,Fs);
set(hfl,'Name', 'Bandstop')

[Bhx,Ahx] = butter(13, 0.01/NFs, 'high');
hfhx=check_filter_spec(Bhx,Ahx,1);
set(hfhx,'Name', 'Badly specified highpass')