%
% Section 4.4.1 figure4.12 window functions for spectrum estimation
%
% 2010/08/?? OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' This program reproduces figure 4.12.         \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear 
close all

N = 64;

wr = rectwin(N);
wh = hamming(N);

wr = wr / sqrt(wr'*wr);
wh = wh / sqrt(wh'*wh);


figure,
plot(wr, 'k-', 'linewidth', 1.5);
hold on;
plot(wh, 'k--', 'linewidth', 2);
legend('Rect (Periodogram)', 'Hamming')
set(gca, 'ytick', [0 0.1 0.2])
axis([-inf inf 0 0.2])


%
% Theoretical Window Spectrum
%

N = 10;


om = [-0.5:0.001:0.5];
alpha = 0.54;

Wr2 = dirichlet(om, N).^2;

Wh = alpha*dirichlet(om,N) + (1-alpha)/2*dirichlet(om-1/N,N) ...
     + (1-alpha)/2*dirichlet(om+1/N,N);
Wh2 = Wh.^2;


figure,
plot(om, 10*log10(Wr2), 'k-', 'linewidth', 1.5);
hold on
plot(om, 10*log10(Wh2), 'k--', 'linewidth', 2);
legend('Rect (Periodogram)', 'Hamming')
axis([-0.5 0.5 -80 40])
set(gca, 'ytick', [-80 -40 0 40 80])
