%
% Section. 4.4.1 figure4.13  power spectrum of white noise
% perodogram vs. hamming  vs.multitaper
%
% 2010/10/11 OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' This program reproduces figure 4.13.         \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear 
close all

N = [256 1024];
Fs = 1; 


%
% white noise as input timeseries 
%

for ii = 1 : 2

    T = N(ii);
    x = randn(T,1);

    [Pxp,F]  = periodogram(x, [], [], Fs);
    [Pxh,F]  = periodogram(x, hamming(T), [], Fs);
    [Pxm,F]  = pmtm(x, 4, [], Fs);



    figure,
    plot(F,Pxp, 'k-');
    hold on
    plot(F,Pxh, 'k:', 'linewidth', 1.5)
    hold on
    plot(F,Pxm, 'k--', 'linewidth', 2)
    hold on
    plot(F,2*ones(length(F),1), 'b-', 'linewidth', 3)

    set(gca, 'ytick', [0:5:10])
    axis([-inf inf 0 inf])
    xlabel('Normalized Frequency (cycle/sample)')
    
    if ii == 1, legend('Periodogram', 'Hamming', 'MultiTaper', 'True'); end
    
    title(['Number of Data : ' num2str(T)])

end

