%
% Section 4.4.1 figure 4.15 instantaneous amplitude using hilbert
% transformation (for theory of hilbert transform, see chap.2 of [25].
%
% 2011/02/28 OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' This program reproduces figure 4.15.         \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear
close all

[B,A] = butter(5,[0.1 0.12]);
x=filtfilt(B,A, 30*rand(500,1));  % bandpassed data

xc = hilbert(x);

ampx = abs(xc);
phsx = angle(xc);

figure
subplot(2,1,1);
plot(x, 'k-'),
hold on
plot(ampx, 'b-')
legend('data', 'instantaneous amplitude');
subplot(2,1,2);
plot(x, 'k-'),
hold on
plot(phsx, 'b-')
legend('data', 'instantaneous phase');
