%
% Section 4.4.1 fig4.16 PCA
%
% 2011/02/25 OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' This program reproduces figure 4.16. Run many times.    \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear
close all


% Make simulated data


Ntrial=500;
x=[randn(Ntrial,1),randn(Ntrial,1)];
x=x';
w=randn(2,2);  % mixing matrix at random
wx=w*x;        % correlating two timeseries

%
% PCA
%

S = cov(wx');
[V,E] = eig(S);


%
% Plot
%

%
figure(2)
subplot(4,1,1)
plot(wx(1,:),'b');
title('Raw data 1');
axis([-inf inf -max(wx(:)) max(wx(:))]);
subplot(4,1,2)
plot(wx(2,:),'b');
title('Raw data 2');
axis([-inf inf -max(wx(:)) max(wx(:))]);
subplot(4,1,3)
plot(V(:,1)'*wx,'r');
title('Data projected on an eigen vector of the smaller eigen value');
axis([-inf inf -max(wx(:)) max(wx(:))]);
subplot(4,1,4)
plot(V(:,2)'*wx,'r');
title('Data projected on an eigen vector of the larger eigen value');
axis([-inf inf -max(wx(:)) max(wx(:))]);

% eigen vector scaled by eigen value
W = V*sqrt(E);

figure(1)
plot(wx(1,:),wx(2,:),'m.');
hold on
quiver(0,0, W(1,1)*2, W(2,1)*2, 'linewidth', 3, 'color', 'b')
hold on
quiver(0,0, W(1,2)*2, W(2,2)*2, 'linewidth', 2, 'color', 'b')
axis equal
title(['e1 = ' num2str(E(1,1)) ',e2 = ' num2str(E(2,2))]);





