%
% Section 4.4.1 Solving eigen value problem (4.6) in multi-taper method 
%
% 2010/08/?? OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' Solution of eigen value problem 4.6.          \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear 
close all

N = 100;
W = 0.04;

for nn1 = 1 : N
    for nn2 = 1 : N
        
        if nn1 == nn2,
            D(nn1,nn2) = 2*W;
        else
            D(nn1,nn2) =  sin(2*W*pi*(nn1-nn2))/(nn1 - nn2)/pi;
        end
    end
end

[V,E] = eig(D);

e = diag(E);


col = {'b', 'c', 'r', 'm', 'g', 'y',...
    'b', 'k', 'k', 'k', 'k', 'k'};

subplot(2,1,1)
bar(e(end:-1:end-10));
title('Eigen values (Lambda)'); 
subplot(2,1,2)
for ii = 1 : 10
plot(V(:,end-ii+1), col{ii}, 'linewidth', 3-0.2*(ii-1));
hold on
end
title('Eigen vectors (a)'); 


