% 
% Section 4.4.1 Window functions of multi-taper method 
% : discrete prolate spheroidal sequence
%
% 2010/08/?? OY 
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' Window functions of multi-taper method (solution of Eq 4.6) \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear
close all

N = [100 200 400];

W = 0.01; 


for ii = 1 : length(N)
    w = W;
    n = N(ii);
    NW = n*w;
    
    [E,V] = dpss(n, NW);
    
    figure,
    subplot(2,1,1)
    bar(V);
    title('Eigen Value');
    
    title(['Number of Samples : ' num2str(n) ' ,Resolution : ' num2str(w)]);
    subplot(2,1,2),
    plot(E);
    title('DPSS')
       
end