%
% Section 4.5 supplement program of Gauss generative classifier 
%
% How does the boundary change if correlation structure of class 1 and class 2 features differs ? 
% 
% 2010/10/11 OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' How does the boundary change if correlation structure of \n'); 
fprintf(' class 1 and class 2 features differs ?        \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear
close all


RO= [-1 : 0.1: 1];

for rr = 1 : length(RO),

    ro = RO(rr);

    S1 = [2 ro; ro 2];
    S2 = [2 -1; -1 2];

    mu1 = [4;2];
    mu2 = [-4;-2];

    N = 500;

    z1 = randn(2,N);
    z2 = randn(2,N);

    STD1 = S1^(1/2);
    STD2 = S2^(1/2);
    
    x1 = STD1*z1+repmat(mu1,[1,N]);
    x2 = STD2*z2+repmat(mu2,[1,N]);

    %
    % Bayes Boundary
    %
    [w0,w1,w2] = mygauss_classifier(x1,x2,0);  % S1 ~= S2 
   
    
    %%
    xmax = max([abs(x1(1,:)) abs(x2(1,:))]);
    ymax = max([abs(x1(2,:)) abs(x2(2,:))]);

    xmax = 10;
    ymax = 8;

    [X,Y] = meshgrid([-xmax:xmax/50:xmax], [-ymax:ymax/50:ymax]);

    XX = [X(:)'; Y(:)'];

    for ii = 1 : length(X(:));
        U(ii) = XX(:,ii)'*w2*XX(:,ii) + w1*XX(:,ii)+w0 ;
    end

    %figure,
    subplot(1,1,1)
    plot(x1(1,:), x1(2,:), 'ko');
    hold on
    plot(x2(1,:), x2(2,:), 'kx');
    hold on
    contour(X,Y,reshape(U,[size(X,1),size(X,2)]),[0.000001], 'linewidth', 2);
    colormap('gray')
    axis([-xmax xmax -ymax ymax])
    %axis off
    title(num2str(ro));

    pause(0.5)
    if rr ~= length(RO) clf; end

end
%imagesc(X(1,:),Y(:,1),reshape(U, [51, 101]), [-200 200])




    



