%
% Section 4.6 figure 4.25 : Edge artifact of digital filter
%
% 2011/02/25 OY
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
fprintf(' This program reproduces figure 4.25.         \n');
fprintf('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');


clear
close all

load('DATA/rawdata01.mat', 'data');


for ii = [25 26 30]
     
    
    X = data(ii,1:5000);
    X = X - mean(X(1:10));
 
    [B,A] = butter(5, [0.1], 'low');
    Yl = filtfilt(B,A,X);
    
   
    [B,A] = butter(5, [0.01], 'high');
    Ylh = filtfilt(B,A,Yl);
    
    
    figure,
    subplot(2,1,1)
    plot(Yl(1:2000), 'k', 'linewidth', 1);
    axis([-inf inf -inf inf]);
    title('After lowpass filter');
    subplot(2,1,2)
    plot(Ylh(1:2000), 'k', 'linewidth', 1.5)
    axis([-inf inf -inf inf]);
    xlabel('Time Point');
    title('After lowpass and highpass filter');


end


