function	[hf,H,X] = check_filter_spec(B,A,fs,NF,NT)
% CHECK FILTER COEFFICIENTS
%
% 2011/03/01 OY 
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

% constant variables 
if nargin < 5
    NT = 100;
end
if nargin < 4
    NF = 100;
end
if nargin < 3
    fs = 1; % Hz
end

% frequency and time axis
t = [0:1/fs:1/fs*(NT-1)];

%
x  = zeros(NT,1);
x(1) = 1;
[H,f] = freqz(B,A,NF,fs);
X = filter(B,A,x);


hf = figure;
subplot(3,1,1)
plot(f,abs(H))
xlabel('Freqency[Hz]')
title('Amplitude response')
ylim([ 0  1.1])

subplot(3,1,2)
plot(f,angle(H))
xlabel('Frequency[Hz]')
title('Phase response')

subplot(3,1,3)
plot(t,X)
xlabel('Time Points')
title('Impulse response')



