function [ixtr, ixte] = separate_nfoldcv(label, nFold)
% Separate whole data into train and test data set
% binary case only 
%
% Copyright (c) 2011, ATR Okito Yamashita, All rights reserved.

% label_names (must be real value)
label_names = unique(label);

Nsamp_tot = length(label);

ix1 = find(label == 1);
ix2 = find(label == 2);
ix1 = ix1(:);
ix2 = ix2(:);

Nsamp1 = length(ix1);
Nsamp2 = length(ix2);

Nsamp1_cv = floor(Nsamp1/nFold);  
Nsamp2_cv = floor(Nsamp2/nFold);

Nsamp1_cv_res = Nsamp1 - Nsamp1_cv * nFold;  % residuals
Nsamp2_cv_res = Nsamp2 - Nsamp2_cv * nFold;  % residuals

if Nsamp1_cv_res ~= 0
fprintf('Number of label1 samples in test data set %d - %d...\n', Nsamp1_cv, Nsamp1_cv+1); 
fprintf('Number of label2 samples in test data set %d - %d...\n', Nsamp2_cv, Nsamp2_cv+1); 
else
fprintf('Number of label1 samples in test data set %d ...\n', Nsamp1_cv); 
fprintf('Number of label2 samples in test data set %d ...\n', Nsamp2_cv); 
end

% randomized indicies within class
jx1 = randperm(Nsamp1_cv*nFold)';  
jx2 = randperm(Nsamp2_cv*nFold)';

%
for ii = 1 : nFold
    
    jx1_cv = jx1((ii-1)*Nsamp1_cv+1:Nsamp1_cv*ii);
    jx2_cv = jx2((ii-1)*Nsamp2_cv+1:Nsamp2_cv*ii);
      
    if ii <= Nsamp1_cv_res
        jx1_cv = [jx1_cv;Nsamp1_cv*nFold+ii];
    end

    if ii <= Nsamp2_cv_res
        jx2_cv = [jx2_cv;Nsamp2_cv*nFold+ii];
    end
    
    ixte{ii} = [ix1(jx1_cv); ix2(jx2_cv)];
    ixtr{ii} = setdiff([1:Nsamp_tot]', ixte{ii});
 
end

